Workspaces

GET /public/v1/workspace-grants

List the live API workspace grants on a workspace. Requires an OWNER or ADMIN membership on that workspace (or a workspace key for it).

GET /public/v1/workspace-grants

GET /public/v1/workspace-grants

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/workspace-grants' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "grants": [
      {
        "user_id": "<string>",
        "user_email": "<string>",
        "workspace_id": "<string>",
        "granted_by_user_id": "<string>",
        "created_at": "<string>"
      }
    ]
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Query Parameters

  • workspace_id string required

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • grants[] object array
      + Show Child Attributes
      • user_id string
      • user_email string
      • workspace_id string
      • granted_by_user_id string
      • created_at string